Skip to main content
Use doubao-seedream-4-0-250828 with the same synchronous endpoint for text-to-image and image-to-image generation.

Create an image

POST /v1/images/generations
cURL
string
required
Must be doubao-seedream-4-0-250828.
string
required
Text prompt for image generation.
string
Output image size.
boolean
default:false
Whether to add a watermark.
integer
Random seed.
object
Custom logo and watermark configuration.
Whether to add a logo.
integer
Logo position.
integer
Logo language.
number
Logo opacity from 0 to 1.

Supported sizes

1024x1024, 864x1152, 1152x864, 1312x736, 736x1312, 832x1248, 1248x832, 1568x672, 2048x2048, 1728x2304, 2304x1728, 2848x1600, 1600x2848, 2496x1664, 1664x2496, 3136x1344, 4096x4096, 3520x4704, 4704x3520, 5504x3040, 3040x5504, 3328x4992, 4992x3328, and 6240x2656.

Headers

string
required
Bearer authentication in the form Bearer <token>.
string
default:"application/json"
required
Request body format.

Response

200
string
Model used for generation.
integer
Creation time as a Unix timestamp in seconds.
object[]
Generated image list.
string
Generated image URL.
string
Generated image dimensions.
integer
Number of generated images.
integer
Output token count.
integer
Total token count.

Error responses

  • 401 Unauthorized — The API key is missing or invalid.
  • 429 Rate limit exceeded — The request exceeded the applicable rate limit.